#ifndef EXIMSTATE_INFO
#define EXIMSTATE_INFO

/* Includes */
#include <sys/types.h>
#include <dirent.h>

/* Structures */
struct directory_list {
    char                  dir_name[256];
    struct directory_list *next;
};

/* Prototypes */
int get_queue_count (char *input_dir, int *queue_count, int *frozen_count, int *bounces_count);
int create_directory_list (DIR *directory, char *input_dir, struct directory_list **dirlist);
void destroy_directory_list (struct directory_list *dirlist);

/* Defines */

#endif
